# Uses of Interface
org.eclipse.microprofile.openapi.models.ExternalDocumentation

Packages that use ExternalDocumentation
Package
Description
org.eclipse.microprofile.openapi
A set of Java interfaces, annotations and programming models which allow Java developers to natively produce OpenAPI v3.1 documents from their Jakarta REST applications.
org.eclipse.microprofile.openapi.models
A set of interfaces for programmable models and their helper classes, many derived from Swagger Core library.
org.eclipse.microprofile.openapi.models.media
A set of interfaces for programmable models to represent input and output data types and media types.
org.eclipse.microprofile.openapi.models.tags
Model interface to represent a tag of an API endpoint.

## Uses of ExternalDocumentation in org.eclipse.microprofile.openapi

Methods in org.eclipse.microprofile.openapi that return ExternalDocumentation
Modifier and Type
Method
Description
`static ExternalDocumentation`
OASFactory.`createExternalDocumentation()`
This method creates a new `ExternalDocumentation` instance.

## Uses of ExternalDocumentation in org.eclipse.microprofile.openapi.models

Methods in org.eclipse.microprofile.openapi.models that return ExternalDocumentation
Modifier and Type
Method
Description
`default ExternalDocumentation`
ExternalDocumentation.`description(String description)`
Sets this ExternalDocumentation's description property to the given string.
`ExternalDocumentation`
OpenAPI.`getExternalDocs()`
Returns the externalDocs property from an OpenAPI instance.
`ExternalDocumentation`
Operation.`getExternalDocs()`
Returns the externalDocs property from an Operation instance.
`default ExternalDocumentation`
ExternalDocumentation.`url(String url)`
Sets this ExternalDocumentation's url property to the given string.
Methods in org.eclipse.microprofile.openapi.models with parameters of type ExternalDocumentation
Modifier and Type
Method
Description
`default OpenAPI`
OpenAPI.`externalDocs(ExternalDocumentation externalDocs)`
Sets this OpenAPI instance's externalDocs property to the given object.
`default Operation`
Operation.`externalDocs(ExternalDocumentation externalDocs)`
Sets this Operation's externalDocs property to the given object.
`void`
OpenAPI.`setExternalDocs(ExternalDocumentation externalDocs)`
Sets this OpenAPI instance's externalDocs property to the given object.
`void`
Operation.`setExternalDocs(ExternalDocumentation externalDocs)`
Sets this Operation's externalDocs property to the given object.

## Uses of ExternalDocumentation in org.eclipse.microprofile.openapi.models.media

Methods in org.eclipse.microprofile.openapi.models.media that return ExternalDocumentation
Modifier and Type
Method
Description
`ExternalDocumentation`
Schema.`getExternalDocs()`
Returns the externalDocs property from this Schema instance.
Methods in org.eclipse.microprofile.openapi.models.media with parameters of type ExternalDocumentation
Modifier and Type
Method
Description
`default Schema`
Schema.`externalDocs(ExternalDocumentation externalDocs)`
Sets the externalDocs property of this Schema to the indicated value.
`void`
Schema.`setExternalDocs(ExternalDocumentation externalDocs)`
Sets the externalDocs property of this Schema to the indicated value.

## Uses of ExternalDocumentation in org.eclipse.microprofile.openapi.models.tags

Methods in org.eclipse.microprofile.openapi.models.tags that return ExternalDocumentation
Modifier and Type
Method
Description
`ExternalDocumentation`
Tag.`getExternalDocs()`
Returns the externalDocs property from a Tag instance.
Methods in org.eclipse.microprofile.openapi.models.tags with parameters of type ExternalDocumentation
Modifier and Type
Method
Description
`default Tag`
Tag.`externalDocs(ExternalDocumentation externalDocs)`
Sets the externalDocs property of a Tag instance to the given object.
`void`
Tag.`setExternalDocs(ExternalDocumentation externalDocs)`
Sets the externalDocs property of a Tag instance to the given object.